package com.sobot.moduletest;

import android.app.Application;

import com.sobot.common.utils.SobotCommonApi;
import com.sobot.network.http.log.SobotNetLogUtils;
import com.sobot.utils.SobotLogUtils;

/**
 * @Description: java类作用描述
 * @Author: znw
 * @Date: 2021/7/19 上午11:06
 * @Version: 1.0
 */
public class MyApp extends Application {
    @Override
    public void onCreate() {
        super.onCreate();
        SobotCommonApi.init(this);

        SobotNetLogUtils.setShowDebug(true);
        SobotLogUtils.setShowDebug(true);
    }

}